# -*- coding: utf-8 -*-
# Copyright © 2023-24 Wacom. All rights reserved.
"""
Contains vector index.
"""
from enum import Enum


class IndexMode(Enum):
    """
    Index mode
    ----------
    This enum defines the index mode.
    """
    DOCUMENT_INDEX = 'document'
    """Document index"""
    WORD_INDEX = 'word'
    """Document index"""


__all__ = ['vector_index', 'IndexMode']

from ink.services.vector import vector_index
